/**
 * 
 */
package pt.digitalis.sampleApp.iss;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * A <code>BaseWriterProcess</code> String Arraylist container implementation
 * 
 * @author Pedro Viegas <a
 *         href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @created Aug 5, 2007
 * 
 */
public class WriterProcessFileImpl extends BaseWriterProcess {

	/**
	 * The container for the outputed strings
	 */
	PrintWriter container;

	/**
	 * @see pt.digitalis.sampleApp.iss.BaseWriterProcess#EndWritingProcess()
	 */
	@Override
	protected void EndWritingProcess() {
		container.close();
	}

	/**
	 * @see pt.digitalis.sampleApp.iss.BaseWriterProcess#StartWritingProcess()
	 */
	@Override
	protected boolean StartWritingProcess() {

		try {
			FileWriter outFile = new FileWriter("ProcessOutputFile_"
					+ processID + ".out");
			container = new PrintWriter(outFile);

			return true;

		} catch (IOException e) {

			e.printStackTrace();
			return false;
		}
	}

	/**
	 * @see pt.digitalis.sampleApp.iss.BaseWriterProcess#Write(java.lang.String)
	 */
	@Override
	protected void Write(String item) {
		container.println(item);
	}
}
